/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import ws.Mesto;

/**
 *
 * @author student1
 */
public class TableModelMesto extends AbstractTableModel {
    private List<Mesto> lm; 
    private String[] columns = new String[] {"Ptt", "Naziv"};
    
    public TableModelMesto(List<Mesto> lm) {
        this.lm = lm;
    }

    @Override
    public int getRowCount() {
        if (lm == null) {
            return 0;
        }
        return lm.size();
    }

    @Override
    public int getColumnCount() {
        return columns.length;
    }

    @Override
    public String getColumnName(int column) {
        return columns[column];
    }
    
    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Mesto m = lm.get(rowIndex);
        switch (columnIndex) {
            case 0: 
                return m.getPtt();
            case 1:
                return m.getNaziv();
            default:
                return "n/a";
        }
    }
    
}
