
package ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _VratiMestaResponse_QNAME = new QName("http://ws/", "vratiMestaResponse");
    private final static QName _HelloResponse_QNAME = new QName("http://ws/", "helloResponse");
    private final static QName _Hello_QNAME = new QName("http://ws/", "hello");
    private final static QName _SacuvajMestoResponse_QNAME = new QName("http://ws/", "sacuvajMestoResponse");
    private final static QName _SacuvajMesto_QNAME = new QName("http://ws/", "sacuvajMesto");
    private final static QName _VratiMesta_QNAME = new QName("http://ws/", "vratiMesta");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link VratiMestaResponse }
     * 
     */
    public VratiMestaResponse createVratiMestaResponse() {
        return new VratiMestaResponse();
    }

    /**
     * Create an instance of {@link HelloResponse }
     * 
     */
    public HelloResponse createHelloResponse() {
        return new HelloResponse();
    }

    /**
     * Create an instance of {@link Hello }
     * 
     */
    public Hello createHello() {
        return new Hello();
    }

    /**
     * Create an instance of {@link SacuvajMestoResponse }
     * 
     */
    public SacuvajMestoResponse createSacuvajMestoResponse() {
        return new SacuvajMestoResponse();
    }

    /**
     * Create an instance of {@link SacuvajMesto }
     * 
     */
    public SacuvajMesto createSacuvajMesto() {
        return new SacuvajMesto();
    }

    /**
     * Create an instance of {@link VratiMesta }
     * 
     */
    public VratiMesta createVratiMesta() {
        return new VratiMesta();
    }

    /**
     * Create an instance of {@link Mesto }
     * 
     */
    public Mesto createMesto() {
        return new Mesto();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiMestaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "vratiMestaResponse")
    public JAXBElement<VratiMestaResponse> createVratiMestaResponse(VratiMestaResponse value) {
        return new JAXBElement<VratiMestaResponse>(_VratiMestaResponse_QNAME, VratiMestaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HelloResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "helloResponse")
    public JAXBElement<HelloResponse> createHelloResponse(HelloResponse value) {
        return new JAXBElement<HelloResponse>(_HelloResponse_QNAME, HelloResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Hello }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "hello")
    public JAXBElement<Hello> createHello(Hello value) {
        return new JAXBElement<Hello>(_Hello_QNAME, Hello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SacuvajMestoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "sacuvajMestoResponse")
    public JAXBElement<SacuvajMestoResponse> createSacuvajMestoResponse(SacuvajMestoResponse value) {
        return new JAXBElement<SacuvajMestoResponse>(_SacuvajMestoResponse_QNAME, SacuvajMestoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SacuvajMesto }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "sacuvajMesto")
    public JAXBElement<SacuvajMesto> createSacuvajMesto(SacuvajMesto value) {
        return new JAXBElement<SacuvajMesto>(_SacuvajMesto_QNAME, SacuvajMesto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VratiMesta }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws/", name = "vratiMesta")
    public JAXBElement<VratiMesta> createVratiMesta(VratiMesta value) {
        return new JAXBElement<VratiMesta>(_VratiMesta_QNAME, VratiMesta.class, null, value);
    }

}
