/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import domen.Mesto;
import domen.Poslovnipartner;
import java.util.Date;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author student1
 */
public class ActionSacuvajPravnoLice implements Action {

    @Override
    public String obradiZahtev(HttpServletRequest request) {
        String strana = null;
        if (request.getMethod().equalsIgnoreCase("GET")) {
            strana = "/WEB-INF/unos_pravnog_lica.jsp";

            EntityManagerFactory emf
                    = Persistence.createEntityManagerFactory("WebPoslovniPartnerPU");
            EntityManager em = emf.createEntityManager();
            List<Mesto> listaMesta = em.createQuery("SELECT m FROM Mesto m ORDER BY m.naziv").getResultList();

            request.setAttribute("kolekcijaMesta", listaMesta);
        }
        if (request.getMethod().equalsIgnoreCase("POST")) {
            String matBr = request.getParameter("matBr");
            String pib = request.getParameter("pib");
            String naziv = request.getParameter("naziv");
            String sPtt = request.getParameter("mestoPtt");
            long ptt = Long.parseLong(sPtt);
            String adresa = request.getParameter("adresa");

            EntityManagerFactory emf
                    = Persistence.createEntityManagerFactory("WebPoslovniPartnerPU");
            EntityManager em = emf.createEntityManager();
            em.getTransaction().begin();
            Mesto db_mesto = em.find(Mesto.class, ptt);
            Poslovnipartner pp = new Poslovnipartner();
            pp.setDatumOsnivanja(new Date());
            pp.setMatBroj(matBr);
            pp.setNaziv(naziv);
            pp.setPib(pib);
            pp.setPttMesto(db_mesto);
            pp.setUlicaIBroj(adresa);

            em.merge(pp);
            em.getTransaction().commit();

            List<Poslovnipartner> lp = em.createQuery("SELECT p FROM Poslovnipartner p ORDER BY p.matBroj").getResultList();
            em.close();
            emf.close();
            request.setAttribute("kolekcijaPL", lp);

            strana = "/WEB-INF/sva_pravna_lica.jsp";
        }

        return strana;
    }

}
